# Uses of Class
org.eclipse.swt.widgets.List

Packages that use List
Package
Description
org.eclipse.jface.dialogs
Provides support for dialogs.
org.eclipse.jface.preference
Provides a framework for preferences.
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.
org.eclipse.ui.views.properties.tabbed
Provides the Tabbed Properties framework.

## Uses of List in org.eclipse.jface.dialogs

Methods in org.eclipse.jface.dialogs that return List
Modifier and Type
Method
Description
`protected List`
ErrorDialog.`createDropDownList(Composite parent)`
Create this dialog's drop-down list component.

## Uses of List in org.eclipse.jface.preference

Methods in org.eclipse.jface.preference that return List
Modifier and Type
Method
Description
`protected List`
ListEditor.`getList()`
Return the List.
`List`
ListEditor.`getListControl(Composite parent)`
Returns this field editor's list control.

## Uses of List in org.eclipse.jface.viewers

Methods in org.eclipse.jface.viewers that return List
Modifier and Type
Method
Description
`List`
ListViewer.`getList()`
Returns this list viewer's list control.
Constructors in org.eclipse.jface.viewers with parameters of type List
Modifier
Constructor
Description
``
`ListViewer(List list)`
Creates a list viewer on the given list control.

## Uses of List in org.eclipse.ui.views.properties.tabbed

Methods in org.eclipse.ui.views.properties.tabbed that return List
Modifier and Type
Method
Description
`List`
TabbedPropertySheetWidgetFactory.`createList(Composite parent, int style)`
Creates the list as a part of the form.